Sign in

Update Team Member

PUT https://{organization}.myguper.com/api/register/team/member

Atualiza campos de um vínculo existente. Use apenas para corrigir reportsTo, data, startedAt. Para trocar de cargo, use Create / Activate (que encerra o vínculo anterior automaticamente).

Try-it values populated from environment ACME (Demo)


Authentication

Token

Send your user token in the x-guper-authorization header.

Headers

Name Type Description
x-guper-authorization * string User token issued by Guper.
Content-Type * string Always `application/json` for endpoints that accept a JSON body.

Request body

Content-Type: application/json

{
    "id": 7,
    "reportsTo": 6,                                             // optional
    "startedAt": "2026-04-24",                                  // optional
    "data": {                                                   // optional
        "note": "transferido para gerente novo"
    }
}

Responses

{ "affectedRows": 1 }
Copied to clipboard